
Ruby - Feature #16513

TracePoint#inspect to return "... file:line" instead of "...@file:line"

01/16/2020 08:46 AM - znz (Kazuhiro NISHIYAMA)

Status: Closed   

Priority: Normal   

Assignee: ko1 (Koichi Sasada)   

Target version:    

Description

Proc#to_s and Thread#to_s have changed, but TracePoint#inspect includes @.

I think changing TracePoint#inspect too is better for consistency.

% ruby -ve 'TracePoint.new{p _1}.enable;p'

ruby 2.7.0p0 (2019-12-25 revision 647ee6f091) [x86_64-darwin18]

#<TracePoint:c_call `p'@-e:1>

#<TracePoint:c_return `p'@-e:1>

Associated revisions

Revision 1819652578e8f9fe3606f7a716ec4e427fc55f0a - 08/06/2020 02:56 AM - Nguyễn Quang Minh 

[Feature #16513] TracePoint#inspect returns "... file:line" (#3391)

Fix debug documents to match Thread#to_s change (Feature #16412 ticket)

TracePoint#inspect returns "... file:line" (Feature #16513)

Guard older version of Ruby in Tracepoint inspection tests

Focus on current thread only when running TracePoint inspection test

Revision 1819652578e8f9fe3606f7a716ec4e427fc55f0a - 08/06/2020 02:56 AM - Nguyễn Quang Minh 

[Feature #16513] TracePoint#inspect returns "... file:line" (#3391)

Fix debug documents to match Thread#to_s change (Feature #16412 ticket)

TracePoint#inspect returns "... file:line" (Feature #16513)

Guard older version of Ruby in Tracepoint inspection tests

Focus on current thread only when running TracePoint inspection test

Revision 18196525 - 08/06/2020 02:56 AM - Nguyễn Quang Minh 

[Feature #16513] TracePoint#inspect returns "... file:line" (#3391)

Fix debug documents to match Thread#to_s change (Feature #16412 ticket)

TracePoint#inspect returns "... file:line" (Feature #16513)

Guard older version of Ruby in Tracepoint inspection tests

Focus on current thread only when running TracePoint inspection test

History

#1 - 01/18/2020 09:50 PM - Eregon (Benoit Daloze)

+1 from me.
https://bugs.ruby-lang.org/issues/16101
https://bugs.ruby-lang.org/issues/16412


#2 - 08/05/2020 09:14 AM - nguyenquangminh0711 (Quang-Minh Nguyen)

I created a patch for this ticket here: https://github.com/ruby/ruby/pull/3391.

#3 - 08/05/2020 09:52 AM - sawa (Tsuyoshi Sawada)

- Subject changed from TracePoint#inspect returns "... file:line" instead of "...@file:line" to TracePoint#inspect to return "... file:line" instead of

"...@file:line"

- Description updated

#4 - 08/06/2020 02:56 AM - nguyenquangminh0711 (Quang-Minh Nguyen)

- Status changed from Assigned to Closed

Applied in changeset git|1819652578e8f9fe3606f7a716ec4e427fc55f0a.

[Feature #16513] TracePoint#inspect returns "... file:line" (#3391)

Fix debug documents to match Thread#to_s change (Feature #16412 ticket)

TracePoint#inspect returns "... file:line" (Feature #16513)

Guard older version of Ruby in Tracepoint inspection tests

Focus on current thread only when running TracePoint inspection test
